# Created by pyp2rpm-3.3.8
%global pypi_name bandit

%bcond_with check

Name:           python-%{pypi_name}
Version:        1.8.3
Release:        %mkrel 1
Summary:        Security oriented static analyser for python code
Group:          Development/Python
License:        Apache-2.0 license
URL:            https://bandit.readthedocs.io/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
# Docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-copybutton)
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description
Bandit is a tool designed to find common security issues in Python code. To do
this Bandit processes each file, builds an AST from it, and runs appropriate
plugins against the AST nodes. Once Bandit has finished scanning all the files
it generates a report.

Bandit was originally developed within the OpenStack Security Project and later
rehomed to PyCQA.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Bandit is a tool designed to find common security issues in Python code. To do
this Bandit processes each file, builds an AST from it, and runs appropriate
plugins against the AST nodes. Once Bandit has finished scanning all the files
it generates a report.

Bandit was originally developed within the OpenStack Security Project and later
rehomed to PyCQA.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires requirements.txt %{?with_check:test-requirements.txt}

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc html
%{_bindir}/bandit
%{_bindir}/bandit-baseline
%{_bindir}/bandit-config-generator


%changelog
* Sun Mar 02 2025 wally <wally> 1.8.3-1.mga10
+ Revision: 2158568
- new version 1.8.3
- rebuild for python3.13

* Fri Dec 27 2024 papoteur <papoteur> 1.7.4-3.mga10
+ Revision: 2130406
- add and use pytest

* Tue Dec 19 2023 papoteur <papoteur> 1.7.4-2.mga10
+ Revision: 2019458
- Mass Rebuild - Python 3.12

* Mon Aug 22 2022 wally <wally> 1.7.4-1.mga9
+ Revision: 1879332
- imported package python-bandit

